package com.malk.xiding.controller;

import com.malk.Util.UtilMap;
import com.malk.server.common.McR;
import com.malk.xiding.service.GSClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 错误抛出与拦截详见CatchException
 */
@Slf4j
@RestController
@RequestMapping("/xiding-2")
public class GSController {

    @Autowired
    private GSClient gsClient;

    @PostMapping("month/report")
    McR report() {

        gsClient.collectMonthReport();
        return McR.success();
    }

    @PostMapping("month/exception")
    McR exception() {

        gsClient.exceptionMonthReport();
        return McR.success();
    }

    @PostMapping("month/validate")
    McR validate(@RequestBody Map data) {

        gsClient.validateManHour(UtilMap.getString(data, "userId"), ((Map) data.get("details")));
        return McR.success();
    }


    @PostMapping("test")
    McR test() {

        gsClient.exceptionMonthReport();
        return McR.success();
    }
}
